TICKIT_VERSION(7)

NAME
tickit_version_* - libtickit version queries

SYNOPSIS
    #define TICKIT_VERSION_MAJOR
    #define TICKIT_VERSION_MINOR
    #define TICKIT_VERSION_PATCH

    int tickit_version_major(void);
    int tickit_version_minor(void);
    int tickit_version_patch(void);

DESCRIPTION
These three macros provide the version numbers of the development header at compiletime. The related functions return the version numbers from the running library. Between them they can be used to check at program startup that the library version is suitable to support the running program.

RETURN VALUE
Each tickit_version_*() function returns a version integer.

SEE ALSO
tickit(7)